@charset "utf-8";

@layer reset, base, components, utilities;
/* ==============================================================
*  reset
* ============================================================ */
@layer reset {
  *,::before,::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  :where(html) {
    box-sizing: border-box;
    -webkit-text-size-adjust: 100%;
  }
  :where(p, h1, h2, h3, h4, h5, h6) {
    overflow-wrap: break-word;
  }
  :where(a) {
    text-decoration: none;
  }
  :where(svg, video, canvas, audio, iframe, embed, object) {
    display: block;
  }
  :where(img, svg, video) {
    block-size: auto;
    max-inline-size: 100%;
    vertical-align: bottom;
  }
  :where(svg) {
    fill: currentColor;
    stroke: none;
  }
  :where(ul, ol) {
    list-style: none;
  }
  :where(table) {
    border-collapse: collapse;
  }
  :where(hr) {
    block-size: 0;
    border: none;
    border-block-start: 1px solid;
    color: inherit;
    overflow: visible;
  }
  :where(input) {
    border-radius: 0;
  }
  :where(input[type="text"], textarea) {
    padding: 0 2px;
  }
  :where(button, label, select, summary) {
    cursor: pointer;
  }
  :where(button, input, textarea, select) {
    border: 1px solid;
    font: inherit;
  }
  :where(button) {
    padding: 0;
    border: none;
    outline: none;
    background-color: transparent;
    appearance: none;
  }
  :where(textarea) {
    overflow: auto;
    resize: vertical;
    user-select: auto;
  }
  :where([disabled]) {
    cursor: default;
  }
  :where([hidden]) {
    display: none !important;
  }
}

/* ==============================================================
*  base
* ============================================================ */
@layer base {
  :root {
    --color-blue: #321C92; 
    --color-orange: #DD6030;
  }

  html {
    line-height: 1.45;
    box-sizing: border-box;
  }

  body {
    position: relative;
    background: url(../image/bg_section.webp) repeat top center;
    background-size: contain;
    color: var(--txt-color-main);
    font-family: "Noto Sans JP", "游ゴシック", YuGothic, "Hiragino Sans", "Hiragino Kaku Gothic ProN", Meiryo, sans-serif;
    /* font-size: clamp(14px, 8.000px + 0.781vw, 16px); */
    -webkit-font-smoothing: subpixel-antialiased;
    -moz-osx-font-smoothing: auto;
    font-kerning: normal;
  }
}


/* ==============================================================
*  common
* ============================================================ */
@layer components {
/* ---------- header ---------- */
.header {
  position: relative
}

.header-logo {
  position: absolute;
  top: min(1.74vw,30px);
  left: min(2.33vw,40px);
  z-index: 10;
  display: block;
  width: min(9.71vw,167px);
  height: auto;
  aspect-ratio: 167/55;
  & img {
    width: 100%;
  }
}
@media screen and (width < 769px) {
  .header-logo {
    top: 1.87vw;
    left: 1.87vw;
    width: 16.53vw;
  }
}


/* ---------- hero ---------- */
.hero {
  position: relative;
  & img {
    width: 100%;
  }
}
@media screen and (width < 769px) {
  .hero {
    
  }
}

.hero-btn {
  position: absolute;
  bottom: min(2.08vw,40px);
  left: 50%;
  translate: -50% 0;
  width: clamp(240px,19.77vw,340px);
}
@media screen and (width < 769px) {
  .hero-btn {
    bottom: 51%;
    width: 41.07vw;
  }
}

.linkBtn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: auto;
  aspect-ratio: 676/142;
  border: 1px solid var(--color-blue);
  border-radius: 9999px;
  background-color: var(--color-blue);
  color: #FFF;
  font-size: clamp(17px, 11.340px + 0.736vw, 24px);
  font-weight: 500;
  line-height: 1.2;
  transition: background 0.3s ease-out, color 0.3s ease-out;
  &._snd {
    border: 1px solid var(--color-orange);
    background-color: var(--color-orange);
  }
}
@media screen and (width < 769px) {
  .linkBtn {
    aspect-ratio: 154/38;
    font-size: 3.73vw;
  }
}
@media (hover:hover) {
  .linkBtn:hover {
    background-color: #FFF;
    color: var(--color-blue);
  }
  .linkBtn._snd:hover {
    color: var(--color-orange);
  }
}


.topSection {
  &[data-sec="02"] {
    padding-block: min(4.65vw,80px) min(4.94vw,85px);
    background-color: #FFF;
  }
  &[data-sec="03"] {
    padding-block: min(2.33vw,40px) min(4.94vw,85px);
    background-color: #FFF;
  }
}
@media screen and (width < 769px) {
  .topSection {
    &[data-sec="02"] {
      padding-block: 12vw;
    }
  }
}

.topSection-inner {
  max-width: 1720px;
  margin-inline: auto;
  padding-inline: 20px;
}

.recommendation {
  padding-block: min(4.65vw,80px);
  background: linear-gradient(to right, rgba(255,255,255,0.56), rgba(0,0,0,0.56));
  color: #FFF;
  & h2 {
    font-size: clamp(21px, 13.722px + 0.946vw, 30px);
    font-weight: 700;
    text-align: center;
  }
  & ul {
    width: min(78.02vw,900px);
    margin-block-start: min(2.84vw,50px);
    margin-inline: auto;
    & li {
      position: relative;
      padding-inline-start: 1em;
      font-size: clamp(17px, 10.531px + 0.841vw, 25px);
      line-height: 1.5;
      &::before {
        position: absolute;
        top: 0.65em;
        left: 0.4em;
        display: block;
        width: min(0.47vw,8px);
        height: auto;
        aspect-ratio: 1;
        border-radius: 100%;
        background-color: #FFF;
        content: "";
      }
    }
  }
}
@media screen and (width < 769px) {
  .recommendation {
    padding-block: 14.67vw 20vw;
    & h2 {
      font-size: 4.53vw;
    }
    & ul {
      margin-block-start: 5.87vw;
      & li {
        font-size: 2.67vw;
        &::before {
          width: 0.8vw;
        }
      }
    }
  }
}

.download {
  padding-block: min(4.65vw,80px) min(4.07vw,70px);
  color: #FFF;
  text-align: center;
}
@media screen and (width < 769px) {
  .download {
    padding-block: 18.67vw;
  }
}

.downloadImg {
  display: flex;
  flex-wrap: wrap;
  gap: 15px 15px;
  justify-content: center;
  width: min(38.46vw,400px);
  margin-block-start: min(4.07vw,70px);
  margin-inline: auto;
  & > div {
    width: 100%;
    & img {
      width: 100%;
    }
  }
  & > button {
    width: 40%;
    padding: 0;
    border-radius: 0;
    cursor: initial;
    & img {
      width: 100%;
      height: auto;
    }
  }
  & dialog {
    width: 100%;
    height: 100%;
    margin: auto;
    border: none;
    background-color: transparent;
    & img {
      position: absolute;
      inset: 0;
      width: 60%;
      margin: auto;
    }
    & button {
      position: absolute;
      top: 4%;
      right: 4%;
      display: block;
      width: 40px;
      height: auto;
      aspect-ratio: 1;
      padding: 0;
      background-color: #FFF;
      &::before, &::after {
        position: absolute;
        inset: 0;
        display: block;
        width: 80%;
        height: 2px;
        margin: auto;
        background-color: #333;
        content: "";
      }
      &::before {
        rotate: 45deg;
      }
      &::after {
        rotate: -45deg;
      }
    }
    &::backdrop {
      background-color: rgba(0,0,0,0.7);
    }
  }
}
@media screen and (width < 769px) {
  .downloadImg {
    width: 60vw;
    /* & > button {
      width: 100%;
    } */
    & dialog {
      & img {
        width: 100%;
      }
      & button {
        top: 0;
        right: 0;
        width: 30px;
      }
    }
  }
}

.download-ttl {
  margin-block-start: min(0.58vw,10px);
  font-size: clamp(25px, 16.914px + 1.052vw, 35px);
  font-weight: 700;
}
@media screen and (width < 769px) {
  .download-ttl {
    margin-block-start: 1.33vw;
    font-size: 4.53vw;
  }
}

.download-subTtl {
 font-size: clamp(14px, 9.148px + 0.631vw, 20px);
  &::before {
    content: "＼";
  }
  &::after {
    content: "／";
  }
}
@media screen and (width < 769px) {
  .download-subTtl {
    font-size: 2.67vw;
  }
}

.download-txt {
  margin-block-start: min(1.86vw,32px);
  font-size: clamp(14px, 9.148px + 0.631vw, 20px);
}
@media screen and (width < 769px) {
  .download-txt {
    margin-block-start: 8vw;
    font-size: 2.67vw;
  }
}

[data-js="closeModal"] {
  & span {
    pointer-events: none;
  }
}

.download-btn {
  width: clamp(240px,19.77vw,340px);
  margin-block-start: min(3.77vw,65px);
  margin-inline: auto;
}
@media screen and (width < 769px) {
  .download-btn {
    width: 41.07vw;
    margin-block-start: 10.67vw;
  }
}

.strengths {
  text-align: center;
  & h2 {
    font-size: clamp(29px, 18.488px + 1.367vw, 42px);
    font-weight: 700;
  }
  & h3 {
    margin-block-start: min(2.91vw,50px);
    padding-block: 0.39em;
    background: linear-gradient(to right, rgba(240,240,240,0.24), rgba(0,0,0,1));
    color: #FFF;
    font-size: clamp(20px, 13.531px + 0.841vw, 28px);
  }
  & p {
    margin-block-start: min(2.91vw,50px);
   font-size: clamp(14px, 9.148px + 0.631vw, 20px);
  }
}
@media screen and (width < 769px) {
  .strengths {
    & h2 {
      font-size: 4.53vw;
    }
    & h3 {
      margin-block-start: 5.87vw;
      font-size: 3.2vw;
    }
    & p {
      margin-block-start: 2.67vw;
      font-size: 2.13vw;
    }
  }
}

.txtLink {
  margin-block-start: min(2.91vw,50px);
  & a {
    font-size: clamp(10px, 5.957px + 0.526vw, 15px);
    text-decoration: underline;
  }
}
@media screen and (width < 769px) {
  .txtLink {
    & a {
      font-size: 1.6vw;
    }
  }
}
@media (hover:hover) {
  .txtLink {
    & a:hover {
      text-decoration: none;
    }
  }
}

/* .strengths-btn {
  width: clamp(240px,19.77vw,340px);
  margin-block-start: clamp(21px, 13.722px + 0.946vw, 30px);
  margin-inline: auto;
}
@media screen and (width < 769px) {
  .strengths-btn {
    width: 41.07vw;
    margin-block-start: 2.67vw;
  }
} */

.topIframe {
  & iframe {
    width: 100%;
    max-width: 730px;
    margin-inline: auto;
  }
}
@media screen and (width < 769px) {
  .topIframe {
    & iframe {
      height: 1080px;
    }
  }
}


/* ---------- footer ---------- */
.footer {
  position: relative;
  padding-block: min(7.56vw,130px);}
@media screen and (width < 769px) {
  .footer {
   padding-block: 20vw;
  }
}

.footerLogo {
  width: min(15.12vw,260px);
  height: auto;
  aspect-ratio: 523/172;
  margin-inline: auto;
  & img {
    width: 100%;
  }
}
@media screen and (width < 769px) {
  .footerLogo {
    width: 31.47vw;
  }
}


/* ==============================================================
*  answer
* ============================================================ */
.container {
  overflow-x: hidden;
}

.progress-container {
  max-width: 1040px;
  margin-inline: auto;
  padding-block: min(5.23vw,90px) min(4.07vw,70px);
  padding-inline: 20px;
}
@media screen and (width < 769px) {
  .progress-container {
    padding-block: 16vw 10.67vw;
  }
}

.steps-info {
  display: flex;
  justify-content: flex-end;
  color: #FFF;
  font-size: clamp(10px, -12.701px + 2.952vw, 18px);
}
@media screen and (width < 769px) {
  .steps-info {
    font-size: 4vw;
  }
}

#stepLabel {
  display: none;
}

.progress-bar-bg {
  width: 100%;
  height: auto;
  aspect-ratio: 1680/18;
  margin-block-start: 0.64vw;
  background-color: #FFF;
  border-radius: 9999px;
}
@media screen and (width < 769px) {
  .progress-bar-bg {
    aspect-ratio: 300/10;
    margin-block-start: 2.13vw;
  }
}

.progress-bar {
  width: 0;
  height: 100%;
  border-radius: 9999px;
  background-color: var(--color-blue);
  transition: width 0.3s ease;
}

.pageHeader {
  background-color: #FFF;
  & h1 {
    padding-block: 0.65em;
    font-size: clamp(35px, -7.565px + 5.535vw, 50px);
    font-weight: 700;
    text-align: center;
  }
}

#sectionsContainer {
  max-width: 1040px;
  margin-inline: auto;
  padding-inline: 20px;
}

.category-section {
  display: none;
  &.is-active {
    display: block;
  }
}

.category-title {
  width: 100vw;
  margin-inline: calc(50% - 50vw);
  & h2 {
    padding-block: 0.65em;
    background-color: #FFF;
    font-size: clamp(35px, -7.565px + 5.535vw, 50px);
    font-weight: 700;
    text-align: center;
  }
}
@media screen and (width < 769px) {
  .category-title {
    & h2 {
      font-size: 8vw;
    }
  }
}

.question-block {
  margin-block-start: min(5.82vw,100px);
}
@media screen and (width < 769px) {
  .question-block {
    margin-block-start: 16vw;
    padding-inline: 0;
  }
}

.question-text {
  color: #FFF;
  font-size: clamp(19px, -3.701px + 2.952vw, 27px);
  font-weight: 700;
}
@media screen and (width < 769px) {
  .question-text {
    font-size: 4.8vw;
  }
}

.options-group {
  display: grid;
  gap: min(0.93vw,16px);
  grid-template-columns: repeat(4, 1fr);
  margin-block-start: min(2.91vw,50px);
  & input[type="radio"] {
    position: absolute!important;
    width: 1px!important;
    height: 1px!important;
    margin: -1px!important;
    padding: 0!important;
    border: 0!important;
    clip: rect(0,0,0,0)!important;
    overflow: hidden!important;
    white-space: nowrap!important;
  }
  & label {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: min(1.63vw,17px);
    justify-content: center;
    width: 100%;
    height: auto;
    aspect-ratio: 1;
    border: min(0.58vw,6px) solid var(--color-orange);
    border-radius: min(4.81vw,50px);
    background-color: #FFF;
    font-size: clamp(18px, -4.701px + 2.952vw, 26px);
    font-weight: 700;
    text-align: center;
    transition: color 0.3s ease-out, background 0.3s ease-out;
    &:has(:checked) {
      background-color: var(--color-orange);
      color: #FFF;
    }
    & span {
      font-size: clamp(10px, -1.351px + 1.476vw, 14px);
      font-weight: 400;
    }
  }
}
@media screen and (width < 769px) {
  .options-group {
    gap: 2.13vw 0;
    grid-template-columns: 100%;
    margin-block-start: 8vw;
    & label {
      aspect-ratio: 310/90;
      border-width: 1.33vw;
      border-radius: 9999px;
      font-size: 5.33vw;
      & br:not(.br-sp):not(.hiddenPc) {
        display: none;
      }
      & span {
        font-size: 3.2vw;
      }
    }
  }
}

.button-area {
  display: flex;
  gap: 0 min(5.23vw,90px);
  justify-content: center;
  margin-block-start: min(10.47vw,180px);
}
@media screen and (width < 769px) {
  .button-area {
    margin-block-start: 16vw;
  }
}

button {
  padding: min(1.16vw,20px) min(1.74vw,30px);
  border: none;
  border-radius: min(0.58vw,10px);
  font-size: clamp(16px, -6.701px + 2.952vw, 24px);
  font-weight: 700;
  cursor: pointer;
  &.btn-prev {
    background-color: #6c757d;
    color: #FFF;
    &:disabled {
      background-color: #CCC;
      cursor: not-allowed;
    }
  }
  &.btn-next {
    background-color: var(--color-orange);
    color: #FFF;
  }
  &.btn-submit {
    background-color: var(--color-blue);
    color: #FFF;
  }
}


/* ==============================================================
*  result
* ============================================================ */
.resultContents {
  padding-block-end: min(10.47vw,180px);
}
@media screen and (width < 769px) {
  .resultContents {
    padding-block-end: 16vw;
  }
}

.resutlImg img {
  width: 100%;
}

.resultContents-inner {
  max-width: 1040px;
  margin-inline: auto;
  padding-inline: 20px;
}

.resultIframe {
  margin-block-start: min(5.23vw,90px);
  & iframe {
    width: 100%;
    max-width: 730px;
    margin-inline: auto;
  }
}
@media screen and (width < 769px) {
  .resultIframe {
    margin-block-start: 8vw;
    & iframe {
      height: 1730px;
    }
  }
}

.resultSummary {
  display: grid;
  gap: 0 min(1.74vw,30px);
  grid-template-columns: 1fr 45%;
  padding-block: min(9.88vw,170px) min(5.23vw,90px);
  color: #FFF;
  & h2 {
    font-size: clamp(25px, -3.376px + 3.69vw, 35px);
    font-weight: 700;
  }
  & p {
    margin-block-start: min(6.69vw,115px);
    font-size: clamp(17px, -2.863px + 2.583vw, 24px);
  }
}
@media screen and (width < 769px) {
  .resultSummary {
    gap: 8vw 0;
    grid-template-columns: 100%;
    & h2 {
      font-size: 5.6vw;
      text-align: center;
    }
    & p {
      margin-block-start: 8vw;
      font-size: 3.73vw;
      text-align: center;
    }
  }
}

.chart-container {
  position: relative;
  width: 100%;
  height: 100%;
  aspect-ratio: 1;
  background-color: rgba(0,0,0,0.35);
}

.chart-totalScore {
  position: absolute;
  top: 50%;
  left: calc(50% + 8px);
  translate: -50% -50%;
  display: grid;
  place-items: center;
  margin-block: auto !important;
  margin-inline: auto;
  width: clamp(38px, -44.100px + 10.676vw, 68px);
  height: auto;
  aspect-ratio: 1;
  border-radius: 50%;
  background: linear-gradient(135deg, #f8d283 14%, #fff3d6 34%, #f9d78d 58%, #fef2b7 77%, #f9d588 98%);
  color: #333;
  font-size: clamp(10px, -12.701px + 2.952vw, 18px) !important;
}
@media screen and (width < 769px) {
  .chart-totalScore {
    width: 12% !important;
    font-size: 2.67vw !important;
  }
}

.resultItem {
  padding-block: min(5.23vw,90px) min(6.98vw,120px);
  & h2 {
    color: #FFF;
    font-size: clamp(25px, -3.376px + 3.69vw, 35px);
    font-weight: 700;
  }
}
@media screen and (width < 769px) {
  .resultItem {
    padding-block: 10.67vw;
    & h2 {
      font-size: 5.6vw;
      text-align: center;
    }
  }
}

#resultTable {
  margin-block-start: clamp(21px, 13.722px + 0.946vw, 30px);
  & > div {
    display: grid;
    grid-template-columns: 21% 1fr 21%;
    background-color: rgba(255,255,255,0.88);
  }
  & dt {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-block: min(1.74vw,30px);
    padding-inline: min(1.16vw,20px);
    border: 2px solid #707070;
    font-size: clamp(14px, -3.026px + 2.214vw, 20px);
    font-weight: 700;
    text-align: center;
    vertical-align: middle;
  }
  & dd {
    display: flex;
    align-items: center;
    padding-block: min(1.74vw,30px);
    padding-inline: min(1.16vw,20px);
    border: 2px solid #707070;
    font-size: clamp(10px, -4.188px + 1.845vw, 15px);
    font-weight: 700;
    vertical-align: middle;
    &:last-child {
      justify-content: center;
    }
  }
}
@media screen and (width < 769px) {
  #resultTable {
    & > div {
      grid-template-columns: 100%;
      padding-block: 5.33vw;
      padding-inline: 5.33vw;
      border: 5px solid #707070;
      &:not(:first-child) {
        border-top: none;
      }
    }
    & dt {
      display: block;
      width: 100%;
      padding: 0;
      border: none;
      font-size: 3.73vw;
      text-align: left;
    }
    & dd {
      display: block;
      width: 100%;
      padding-block: 4.27vw 0;
      padding-inline: 0;
      border: none;
      font-size: 3.73vw;
      &:last-child {
        width: 100%;
        text-align: left;
      }
    }
  }
}

.resultItem-btn {
  width: clamp(320px, 206.793px + 14.721vw, 460px);
  margin-block-start: min(8.14vw,140px);
  margin-inline: auto;
  & a {
    aspect-ratio: 820/148;
  }
}
@media screen and (width < 769px) {
  .resultItem-btn {
    width: 69.33vw;
    margin-block-start: 10.67vw;
    & a {
      font-size: 3.73vw;
    }
  }
}

.resultCheckList {
  & h2 {
    color: #FFF;
    font-size: clamp(25px, -3.376px + 3.69vw, 35px);
    font-weight: 700;
    text-align: center;
  }
}
@media screen and (width < 769px) {
  .resultCheckList {
    & h2 {
      font-size: 4.27vw;
    }
    & figure {
      & button {
        & img {
          width: 60.33vw;
          margin-block-start: 8vw;
        }
      }
      & dialog {
        & img {
          width: 100%;
        }
        & button {
          top: 0;
          right: 0;
          width: 30px;
        }
      }
    }
  }
}

.resultDownloadImg {
  display: flex;
  flex-wrap: wrap;
  gap: 15px 15px;
  justify-content: center;
  width: clamp(360px,32.56vw,800px);
  margin-block-start: min(2.33vw,40px);
  margin-inline: auto;
  & > div {
    width: 100%;
    & img {
      width: 100%;
    }
  }
  & > button {
    width: 40%;
    padding: 0;
    border-radius: 0;
    cursor: initial;
    & img {
      width: 100%;
      height: auto;
    }
  }
  & dialog {
    width: 100%;
    height: 100%;
    margin: auto;
    border: none;
    background-color: transparent;
    & img {
      position: absolute;
      inset: 0;
      width: 60%;
      margin: auto;
    }
    & button {
      position: absolute;
      top: 4%;
      right: 4%;
      display: block;
      width: 40px;
      height: auto;
      aspect-ratio: 1;
      padding: 0;
      background-color: #FFF;
      &::before, &::after {
        position: absolute;
        inset: 0;
        display: block;
        width: 80%;
        height: 2px;
        margin: auto;
        background-color: #333;
        content: "";
      }
      &::before {
        rotate: 45deg;
      }
      &::after {
        rotate: -45deg;
      }
    }
    &::backdrop {
      background-color: rgba(0,0,0,0.7);
    }
  }
}
@media screen and (width < 769px) {
  .resultDownloadImg {
    width: 60vw;
    & dialog {
      & img {
        width: 100%;
      }
      & button {
        top: 0;
        right: 0;
        width: 30px;
      }
    }
  }
}

.resultApproach {
  padding-inline: 20px;
  background-color: #FFF;
  & h2 {
    font-size: clamp(25px, -3.376px + 3.69vw, 35px);
    font-weight: 700;
    text-align: center;
  }
  & > div {
    max-width: 1040px;
    margin-inline: auto;
    padding-block: min(8.14vw,140px) min(6.4vw,110px);
  }
  & p {
    width: min(74.12vw,800px);
    margin-block-start: min(2.84vw,50px);
    margin-inline: auto;
    font-size: clamp(14px, -3.026px + 2.214vw, 20px);
  }
}
@media screen and (width < 769px) {
  .resultApproach {
    & h2 {
      font-size: 5.07vw;
    }
    & > div {
      padding-block: 18.67vw;
    }
    & p {
      width: 100%;
      margin-block-start: 7.2vw;
      font-size: 3.2vw;
      text-align: center;
    }
  }
}

.resultApproach-img {
  width: 60%;
  margin-block-start: min(5.23vw,90px);
  margin-inline: auto;
}
@media screen and (width < 769px) {
  .resultApproach-img {
    width: 90%;
  }
}

.resultApproach-btn {
  width: clamp(320px, 206.793px + 14.721vw, 460px);
  margin-block-start: min(3.77vw,65px);
  margin-inline: auto;
  & a {
    aspect-ratio: 820/128;
  }
}
@media screen and (width < 769px) {
  .resultApproach-btn {
    width: 69.33vw;
    margin-block-start: 12.8vw;
    & a {
      font-size: 3.73vw;
    }
  }
}

.resultRecommendation {
  padding-block: min(6.1vw,105px);
  padding-inline: 20px;
  & h2 {
    margin-block-start: min(6.98vw,120px);
    color: #FFF;
    font-size: clamp(20px, -2.701px + 2.952vw, 28px);
    text-align: center;
    &:first-child {
      margin-block-start: 0;
    }
  }
  & ul {
    display: grid;
    gap: 0 min(3.85vw,40px);
    grid-template-columns: repeat(3,1fr);
    max-width: 1040px;
    margin-inline: auto;
    margin-block-start: min(2.33vw,40px);
  }
}
@media screen and (width < 769px) {
  .resultRecommendation {
    padding-block: 13.33vw;
    & h2 {
      margin-block-start: 17.33vw;
      font-size: 4.27vw;
    }
    & ul {
      gap: 0 2.93vw;
      grid-template-columns: repeat(2,1fr);
      margin-block-start: 8vw;
    }
  }
}

.solutionCard {
  display: block;
  height: 100%;
  background-color: #FFF;
}

.solutionCard-img {
  & img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.solutionCard-box {
  padding-block: min(1.92vw,20px);
  padding-inline: min(2.12vw,22px);
}
@media screen and (width < 769px) {
  .solutionCard-box {
    padding-block: 2.67vw;
    padding-inline: 3.2vw;
  }
}

.solutionCard-datetime {
  color: #A0A0A0;
  font-size: clamp(10px, -1.351px + 1.476vw, 14px);
}
@media screen and (width < 769px) {
  .solutionCard-datetime {
    font-size: 3.2vw;
  }
}

.solutionCard-txt {
  display: -webkit-box;
  margin-block-start: min(0.58vw,6px);
  color: #000;
  font-size: clamp(10px, -7.026px + 2.214vw, 16px);
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
}
@media screen and (width < 769px) {
  .solutionCard-txt {
    font-size: 3.2vw;
  }
}

.caseCard {
  display: block;
  height: 100%;
  padding-block: min(4.81vw,50px);
  padding-inline: min(2.88vw,30px);
  background-color: #FFF;
  & > p {
    color: #311b92;
    font-size: clamp(15px, -4.863px + 2.583vw, 22px);
    font-weight: 600;
  }
}

.caseCard-box {
  margin-block-start: min(2.5vw,26px);
  & p {
    position: relative;
    padding-block-end: min(0.38vw,4px);
    padding-inline-end: min(0.96vw,10px);
    color: #000;
    font-size: clamp(11px, -3.188px + 1.845vw, 16px);
    &::before {
      position: absolute;
      bottom: 0;
      left: 0;
      display: block;
      width: 100%;
      height: 1px;
      background-image: linear-gradient(to right, var(--color-blue) 50%, var(--color-blue) calc(50% + 32px), #DEDEDE 33px, #DEDEDE 100%);
      background-position: 100%;
      background-size: 200% 100%;
      transition: background 0.3s ease-out;
      content: "";
    }
    &::after {
      position: absolute;
      top: calc(50% - min(0.19vw,2px));
      right: 0;
      translate: 0 -50%;
      display: block;
      width: min(0.52vw,6px);
      height: auto;
      aspect-ratio: 1;
      background-color: var(--color-blue);
      clip-path: polygon(0 0, 100% 50%, 0 100%);
      transition: scale 0.3s ease-out;
      content: "";
    }
  }
  & dl {
    margin-block-start: min(2.12vw,22px);
    & div {
      display: flex;
      &:nth-child(2) {
        margin-block-start: min(0.58vw,6px);
      }
    }
    & dt {
      color: #A0A0A0;
      font-size: clamp(10px, -1.351px + 1.476vw, 14px);
      white-space: nowrap;
    }
    & dd {
      color: #A0A0A0;
      font-size: clamp(10px, -1.351px + 1.476vw, 14px);
    }
  }
}
@media (hover:hover) {
  .caseCard:hover .caseCard-box {
    & p {
      &::before {
        background-position: 0;
      }
      &::after {
        scale: 1.1;
      }
    }
  }
}



}
/* ==============================================================
*  utility
* ============================================================ */
@layer utilities {
  .visuallyHidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    border: 0;
    clip: rect(0,0,0,0);
    overflow: hidden;
    white-space: nowrap;
  }

  @media screen and (width < 769px) {
    .hiddenSp { display: none; }
  }

  @media screen and (width >= 769px) {
    .hiddenPc { display: none; }
  }

  .txt-center {
    text-align: center;
  }

  .txt-right {
    text-align: right;
  }

  .txt-left {
    text-align: left;
  }
}